<ion-header style="background-color: #0c1adf;">
  <ion-toolbar class="title">
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-icon (click)="navigate_atras()" name="arrow-back-outline"></ion-icon>
        </ion-col>
        <ion-col>
          <ion-title >Pedido</ion-title>
        </ion-col>
      </ion-row>
    </ion-grid>

  </ion-toolbar>
</ion-header>

<ion-content style="  display: flex;
justify-content: center;">
  <img src="../../../assets/images/delivery.png" height="250px" width="100%"  alt="">

  <ion-fab slot="fixed" >
    <ion-fab-button  (click)="navigate_create()">+</ion-fab-button>
  </ion-fab>

  <ion-list>
    <ion-item class="items" *ngFor="let pedido of pedidos">
      <ion-label>
        <h5>
          Email: {{pedido.email}}
        </h5>
        <h5>
          Password: {{pedido.password}} 
        </h5>
        <h5>
         Longitud: {{pedido.longitud}}
        </h5>
        <h5>
          Latitud: {{pedido.latitud}}
         </h5>
      </ion-label>
      <ion-button clear [routerLink]="['/map/', pedido.id]">
        <ion-icon name="navigate-circle-outline"></ion-icon>
      </ion-button>
      <ion-button clear [routerLink]="['/edit-pedido/', pedido.id]">
        <ion-icon name="create"></ion-icon>
      </ion-button>
      <ion-button clear (click)="deletePedido(pedido.id)">
        <ion-icon name="trash"></ion-icon>
      </ion-button>
  </ion-item>
  </ion-list>
  
  <ion-infinite-scroll threshold="100px" (ionInfinite)="ngOnInit()">
  </ion-infinite-scroll>
</ion-content>
